Eventum Logo

Eventum

Generator configsName

Get Generator Config

Get generator configuration in the directory with specified name.

GET
/generator-configs/{name}

Path Parameters

name*string

Name of the generator directory

Response Body

application/json

curl -X GET "https://eventum.example.com/api/generator-configs/string"
{
  "input": [
    {
      "cron": {
        "tags": [],
        "start": "2019-08-24T14:15:22Z",
        "end": "2019-08-24T14:15:22Z",
        "expression": "string",
        "count": 0
      }
    }
  ],
  "event": {
    "replay": {
      "path": "string",
      "timestamp_pattern": "string",
      "timestamp_format": "string",
      "repeat": false,
      "chunk_size": 1048576,
      "encoding": "ascii"
    }
  },
  "output": [
    {
      "clickhouse": {
        "formatter": {
          "format": "plain"
        },
        "host": "string",
        "port": 8123,
        "protocol": "http",
        "database": "default",
        "table": "string",
        "username": "default",
        "password": "",
        "dsn": "http://example.com",
        "connect_timeout": 10,
        "request_timeout": 300,
        "client_name": "string",
        "verify": true,
        "ca_cert": "string",
        "client_cert": "string",
        "client_cert_key": "string",
        "server_host_name": "string",
        "tls_mode": "proxy",
        "proxy_url": "http://example.com",
        "input_format": "TabSeparated",
        "header": "",
        "footer": "",
        "separator": "\n"
      }
    }
  ]
}
Empty
Empty
Empty
Empty